### Method

# GUPnP ServiceProxy add_notify_full

#### Declaration [src]

    gboolean
    gupnp_service_proxy_add_notify_full (
      GUPnPServiceProxy* proxy,
      const char* variable,
      GType type,
      GUPnPServiceProxyNotifyCallback callback,
      gpointer user_data,
      GDestroyNotify notify
    )

#### Description [src]

Sets up `callback` to be called whenever a change notification for `variable` is recieved.

Available since: | 0.20.12
This method is renamed to `gupnp_service_proxy_add_notify()` in language bindings

#### Parameters

`variable` | `const char*`
| The variable to add notification for.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`type` | `GType`
| The type of the variable.
`callback` | `GUPnPServiceProxyNotifyCallback`
| The callback to call when `variable` changes.
`user_data` | `gpointer`
| User data for `callback`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`notify` | `GDestroyNotify`
| Function to call when the notification is removed, or `NULL`.
| The argument can be `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` on success.